Webcam problem LMDE XFCE

Questions about hardware and drivers
Forum rules
Before you post please read this

Webcam problem LMDE XFCE

Postby elmaga on Thu Sep 29, 2011 5:21 pm

Hi everyone.
I'm running XFCE version of LMDE and I have a problem with my webcam.

lsusb output:

Code: Select all
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 03f0:171d Hewlett-Packard Wireless (Bluetooth + WLAN) Interface [Integrated Module]
Bus 004 Device 002: ID 1bcf:0006 Sunplus Innovation Technology Inc.
Bus 005 Device 002: ID 06f8:3004 Guillemot Corp. Hercules Classic Silver


The last line is my cam.

I tried with these drivers (I remembered they worked with Ubuntu) and followed their Debian installing instructions.



When I enter
Code: Select all
m-a -t a-i ov51x-jpeg


I get an error.


Code: Select all
riccardo@ricky-pc ~ $ sudo m-a -t a-i ov51x-jpeg
[sudo] password for riccardo:
.
Updated infos about 1 packages
Getting source for kernel version: 3.0.0-1-686-pae
Kernel headers available in /lib/modules/3.0.0-1-686-pae/build
apt-get install build-essential
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
build-essential è già alla versione più recente.
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.

Done!
unpack
Extracting the package tarball, /usr/src/ov51x-jpeg.tar.bz2, please wait...
"/usr/share/modass/packages/default.sh" build KVERS=3.0.0-1-686-pae KSRC=/lib/modules/3.0.0-1-686-pae/build KDREV=3.0.0-3 kdist_image
for templ in ; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/3.0.0-1-686-pae/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in} ${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/3.0.0-1-686-pae/g ;s/#KVERS#/3.0.0-1-686-pae/g ; s/_KVERS_/3.0.0-1-686-pae/g ; s/##KDREV##/3.0.0-3/g ; s/#KDREV#/3.0.0-3/g ; s/_KDREV_/3.0.0-3/g  ' < $templ > ${templ%.modules.in}; \
  done
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp build-stamp
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
/usr/bin/make  -f debian/rules clean
make[1]: Entering directory `/usr/src/modules/ov51x-jpeg'
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp build-stamp
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
make[1]: Leaving directory `/usr/src/modules/ov51x-jpeg'
/usr/bin/make  -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entering directory `/usr/src/modules/ov51x-jpeg'
for templ in ; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/3.0.0-1-686-pae/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in} ${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/3.0.0-1-686-pae/g ;s/#KVERS#/3.0.0-1-686-pae/g ; s/_KVERS_/3.0.0-1-686-pae/g ; s/##KDREV##/3.0.0-3/g ; s/#KDREV#/3.0.0-3/g ; s/_KDREV_/3.0.0-3/g  ' < $templ > ${templ%.modules.in}; \
  done
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp build-stamp
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
/usr/bin/make -w -f debian/rules clean
make[2]: Entering directory `/usr/src/modules/ov51x-jpeg'
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp build-stamp
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
make[2]: Leaving directory `/usr/src/modules/ov51x-jpeg'
make[1]: Nothing to be done for `kdist_config'.
dh_testroot
dh_clean -k
dh_clean: dh_clean -k is deprecated; use dh_prep instead
dh_clean: Compatibility levels before 5 are deprecated.
# Build the module
/usr/bin/make KERNEL_DIR=/lib/modules/3.0.0-1-686-pae/build KDIR=/lib/modules/3.0.0-1-686-pae/build KVERS=3.0.0-1-686-pae
make[2]: Entering directory `/usr/src/modules/ov51x-jpeg'
make[2]: *** No targets.  Stop.
make[2]: Leaving directory `/usr/src/modules/ov51x-jpeg'
make[1]: *** [binary-modules] Error 2
make[1]: Leaving directory `/usr/src/modules/ov51x-jpeg'
make: *** [kdist_build] Error 2
BUILD FAILED!
See /var/cache/modass/ov51x-jpeg-source.buildlog.3.0.0-1-686-pae.1317330969 for details.
Build failed. Press Return to continue...



The webcam actually works with almost everything and it's recognized (/dev/video0) but I can't get it to work with Skype. That's the only thing that actually matters.
I have kernel 3.0.0-1-686-pae and I've already installed all the required headers.


Any idea?
elmaga
Level 1
Level 1
 
Posts: 1
Joined: Thu Sep 29, 2011 5:07 pm

Linux Mint is funded by ads and donations.
 

Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 2 guests